policydataset_value_binding
Binding object showing the value that can be bound to policydataset.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| index | <Integer> | Read-write | The index of the value (ipv4, ipv6, number) associated with the set. |
| name | <String> | Read-write | Name of the dataset to which to bind the value.
Minimum length = 1
|
| value | <String> | Read-write | Value of the specified type that is associated with the dataset. For ipv4 and ipv6, value can be a subnet using the slash notation address/n, where address is the beginning of the subnet and n is the number of left-most bits set in the subnet mask, defining the end of the subnet. The start address will be masked by the subnet mask if necessary, for example for 192.128.128.0/10, the start address will be 192.128.0.0. |
| endrange | <String> | Read-write | The dataset entry is a range from <value> through <end_range>, inclusive. endRange cannot be used if value is an ipv4 or ipv6 subnet and endRange cannot itself be a subnet. |
| comment | <String> | Read-write | Any comments to preserve information about this dataset or a data bound to this dataset. |
| __count | <Double> | Read-write | count parameter |
Operations
(click to see Properties )
- ADD
- DELETE
- GET
- GET (ALL)
- COUNT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address /nitro/v1/config/policydataset_value_binding HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{
"policydataset_value_binding":{
<b>"name":<String_value>,
</b><b>"value":<String_value>,
</b>"index":<Integer_value>,
"endrange":<String_value>,
"comment":<String_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/policydataset_value_binding/ name_value<String> Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/policydataset_value_binding/ name_value<String> ? args= value:<String_value>, endrange: <String_value>
HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/policydataset_value_binding/ name_value<String> Query-parameters: filter http:// <netscaler-ip-address> /nitro/v1/config/policydataset_value_binding/ name_value<String> ? filter=property-name1:property-value1,property-name2:property-value2
Use this query-parameter to get the filtered set of policydataset_value_binding resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
pagination http:// <netscaler-ip-address> /nitro/v1/config/policydataset_value_binding/ name_value<String> ? pagesize=#no;pageno=#no
Use this query-parameter to get the policydataset_value_binding resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "policydataset_value_binding": [ {
"index":<Integer_value>,
"name":<String_value>,
"value":<String_value>,
"endrange":<String_value>,
"comment":<String_value>
}]}
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/policydataset_value_binding HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Query-parameters: bulkbindings http:// <netscaler-ip-address> /nitro/v1/config/policydataset_value_binding? bulkbindings=yes
NITRO allows you to fetch bindings in bulk.
Note: get (all) method can be used only in conjuction with bulkbindings query parameter.
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "policydataset_value_binding": [ {
"index":<Integer_value>,
"name":<String_value>,
"value":<String_value>,
"endrange":<String_value>,
"comment":<String_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/policydataset_value_binding/ name_value<String> ? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{"policydataset_value_binding": [ { "__count": "#no"} ] }